
.thumbnail {
  width: 100%;
}

.video-grid {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr ;
  column-gap: 16px;
  row-gap: 40px;
}

@media (max-width: 750px) {
  .video-grid {
    grid-template-columns: 1fr 1fr;
    row-gap: 40px;
  }
}

@media (min-width: 751px) and (max-width: 999px) {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr;
    row-gap: 40px;
  }
}

@media (min-width: 1000px)  {
  .video-grid {
    grid-template-columns: 1fr 1fr 1fr 1fr;
    row-gap: 40px;
  }

}

/* mobile view*/

@media only screen and (orientation: portrait) {
  .video-grid {
    grid-template-columns: 1fr 1fr;
    row-gap: 30px;
  }

  .video-grid p {
    font-size: 11px;
  }

 .video-author, 
 .video-stats {
    font-size: 9px !important;
  }
}


.video-title-link {
  text-decoration: none;
  color: black;
}

.video-title {
  margin-top: 0;
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  margin-bottom: 10px;
}

.video-author,
.video-stats {
  font-size: 12px;
  color: rgb(96, 96, 96);
}

.video-author {
  margin-bottom: 4px;
}

@media (min-width: 1000px)  {
  .video-title {
    font-size: 16px;
    line-height: 24px;
  }
}

@media (max-width: 1000px)  {
  .video-author, 
  .video-stats {
    font-size: 14px;
  }
}

.video-info-grid {
  display: grid;
  grid-template-columns: 50px 1fr;
}

.profile-picture {
  width: 36px;
  border-radius: 50px;
}

.profile-picture-container {
  position: relative;
  display: inline-block;
}


 .channel-tooltip {
  background-color: white;
  width: 200px;
  padding: 12px 12px;
  box-shadow: 2px 3px 10px rgba(0, 0, 0, 0.3);
  border-radius: 6px;
  position: absolute;
  top: 55px;
  z-index: 300;

  opacity: 0;
  pointer-events: none;

  display: flex;
  align-items: center;
  transition: opacity 0.15s;
 }

 .profile-picture-container:hover .channel-tooltip {
  opacity: 1;
 }

 .channel-tooltip-picture {
  width: 45px;
  height: 45px;
  border-radius: 50px;
  margin-right: 8px;
 }

 .channel-tooltip-name {
  font-weight: bold;
  font-size: 15px;
  margin-bottom: 4px;
 }

 .channel-tooltip-stats {
  font-size: 13px;
  color: rgb(99, 99, 99);
 }

.thumbnail-row {
  margin-bottom: 8px;
  position: relative;
}   

.video-time {
  font-size: 12px;
  padding: 4px;
  border-radius: 2px;
  background-color: black;
  color: white;
  position: absolute;
  bottom: 8px;
  right: 5px;
}